How JustAnswer Works:

  • Ask an Expert
    Experts are full of valuable knowledge and are ready to help with any question. Credentials confirmed by a Fortune 500 verification firm.
  • Get a Professional Answer
    Via email, text message, or notification as you wait on our site.
    Ask follow up questions if you need to.
  • 100% Satisfaction Guarantee
    Rate the answer you receive.

Ask VanMagnus Systems Your Own Question

VanMagnus Systems
VanMagnus Systems, Engineer
Category: Printers
Satisfied Customers: 1146
Experience:  I have more than 20 years of experience in the Printer Hardware and Software support. A+ certified.
16924516
Type Your Printers Question Here...
VanMagnus Systems is online now
A new question is answered every 9 seconds

Its not recognized I had elementary Freya and upgraded to

Customer Question

Its not recognized I had elementary Freya and upgraded to Loki (both linus OS) and now the printer a Canon 240 series is not recognized
JA: Has your Canon done this before? And can you guesstimate how old it is?
Customer: No never and I had it for 5 years
JA: What kind of computer are you printing from (Mac or PC)? What Operating System (OS) are you running?
Customer: Its a PC running linux (elementary Loki, it was using ele4mentary freya and the printer was working fine , now after upgrade it is not recognized)
JA: How long has this been an issue? What happened right before this popped up?
Customer: Well it is new upgrade so i loaded software that i needed and updated it. then i went to try the printer , that was it
JA: Anything else you want the printer expert to know before I connect you?
Customer: Well its AMD 645 94 bits
Submitted: 2 months ago.
Category: Printers
Expert:  VanMagnus Systems replied 2 months ago.

Hello, and thank you for choosing JA for your support needs. Happy to assist you with this issue.

Now, most Flavors of LINUX are based on RH, DEBIAN, SUSE or Umbuntu. Which Flavor is most closest to your Flavor?

Customer: replied 2 months ago.
elementary Loki is based on Ubuntu 16.04
Expert:  VanMagnus Systems replied 2 months ago.

Ok, thank you Kindly.. Give me a few minutes..

Expert:  VanMagnus Systems replied 2 months ago.

Hello, Sir or Madam. Here is the needed information on the resolution to this issue.

https://launchpad.net/~michael-gruz/+archive/ubuntu/canon

sudo add-apt-repository ppa:michael-gruz/canon

sudo apt-get update

sudo apt-get install cnijfilter-common cnijfilter-mp240series

This Gent has Compiled Driver's to allow your Flavor of LINUX to work with the Printer in Question. Also, there are Open Source Drivers for Canon. But, these are not made by Canon either.

Please make me aware of your results.

Customer: replied 2 months ago.
Its not working here is my command line and the output
[email protected]:~$ sudo add-apt-repository ppa:michael-gruz/canon
sudo: add-apt-repository: command not found
Expert:  VanMagnus Systems replied 2 months ago.

Did you download the Software from the Link?

Expert:  VanMagnus Systems replied 2 months ago.

Also, where did you copy the files? Did you place them in the ROOT?

Customer: replied 2 months ago.
to both and my package manager shows them installed. I have checked all cables and the printer is hooked up properly.
Expert:  VanMagnus Systems replied 2 months ago.

Ok. Sir or Madam, we will try another solution.